package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


@Data
@ApiModel("讨论区讨论")
public class ThemeSimpleQo {

    @ApiModelProperty(value = "uuid")
    private String themeId;

    @ApiModelProperty(value = "作者id")
    private String authorId;

    @ApiModelProperty(value = "作者昵称")
    private String nickName;

    @ApiModelProperty(value = "作者头像")
    private String userImg;

    @ApiModelProperty(value = "文本内容")
    private String content;

    @ApiModelProperty(value = "评论时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "评论时间，格式化")
    private String commentTime;


}
